!
! $Header$
!
      subroutine wrgradsfi(if,nl,fieldfi,name,titlevar)
      implicit none

c   Declarations

#include "dimensions.h"
#include "dimphy.h"

c   arguments
      integer if,nl
      real fieldfi(klon,nl)
      real fielddyn((iim+1)*(jjm+1),llm)
      character*10 name
      character*10 titlevar

c   local

      integer lm,l,lnblnk



c     print*,'Transformation pour ',name
      call gr_fi_dyn(nl,klon,iim+1,jjm+1,fieldfi,fielddyn)
c     print*,'Transformation OK '
      call wrgrads(if,nl,fielddyn,name,titlevar)
c     print*,'Ecriture ok'

      return
      end
